# Jigsaw Command Line Options

### Usage

`java w3c.jigsaw.Main [options]`

The available options are:

- -help
- -root
- -space
- -config
- -host
- -port
- -p
- -trace
- -noupgrade

-root root-directory

The root directory is the one in which Jigsaw will run. By default, this is the directory in which Jigsaw is being run. That directory should (if no other command line options are provided) contain at least:

A `config` directory
  Containing the server's configuration
A `logs` directory
  Where Jigsaw will emit its log files.
A `WWW` directory
  Containing the document to serve.

-space space-directory

The space directory is the directory that contains the actual documents to be served by Jigsaw. If this command line option is not provided the space directory defaults to the `WWW` directory under the current root directory.

-config config-directory

The config directory is the directory containing Jigsaw's configuration. It is possible for two different servers to share the same space directory, but only one server can be run within a given configuration.

This directory defaults to the `config` directory under the root directory.

-host hostname

Fully qualified host name of the host running Jigsaw. Java1.0.2 doesn't provide the necessary support to discover that information, and it might also be usefull if your machine supports several names (ie DNS aliases).

By default the hostname used by the server is the result of that expression:

`InetAddress.getLocalHost().getHostName();`

-port port

The TCP port number Jigsaw should be listening at. By default Jigsaw listen on port 8001. On UNIX, you may want to try the supported native code to run Jigsaw on port 80 (check the appropriate FAQ entry).

-trace

Enables tracing of all requests/replies. This command line option does not take precedence over the current value of the `w3c.jigsaw.trace` property, as defined in the `config/http-server.props` file.

By default this toggle is set of false.

-noupgrade

Prevent any automatic upgrade of Jigsaw's configuration. By default Jigsaw will automatically upgrade the configuration if needed, if this flag is set, Jigsaw will just emit an error, stating that your configuration needs to be upgraded.

-help

Display online help for all above options.

Jigsaw Team
$Id: cmdline.html,v 1.3 1997/07/31 08:19:53 ylafon Exp $